Bug 1720331 - Log the actual base DN when the search fails with "invalid attribute request".
Summary: Log the actual base DN when the search fails with "invalid attribute request".
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: 389-ds-base
Version: 8.1
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: 8.1
Assignee: mreynolds
QA Contact: RHDS QE
URL:
Whiteboard:
Depends On: 1662461
Blocks: 1713200
TreeView+ depends on / blocked
 
Reported: 2019-06-13 17:11 UTC by thierry bordaz
Modified: 2019-11-05 21:00 UTC (History)
14 users (show)

Fixed In Version: 389-ds-base-1.4.1.3-5.module+el8.1.0+3776+ece1ae4c
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1662461
Environment:
Last Closed: 2019-11-05 21:00:29 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3401 None None None 2019-11-05 21:00:43 UTC

Comment 2 Viktor Ashirov 2019-08-19 10:08:54 UTC
Build tested: 389-ds-base-1.4.1.3-5.module+el8.1.0+3776+ece1ae4c.x86_64


[root@server-rhel8 ds]# ldapsearch -xLLL -D "cn=Directory Manager" -w password -b "dc=example,dc=com" -sbase objectclass=* ""
dn: dc=example,dc=com

[root@server-rhel8 ds]# ldapsearch -xLLL -D "cn=Directory Manager" -w password -b "dc=example,dc=com" -sbase objectclass=* "" "" ""
Protocol error (2)


[19/Aug/2019:10:06:06.120890334 +0000] conn=1 fd=64 slot=64 connection from ::1 to ::1
[19/Aug/2019:10:06:06.121232395 +0000] conn=1 op=0 BIND dn="cn=Directory Manager" method=128 version=3
[19/Aug/2019:10:06:06.171106230 +0000] conn=1 op=0 RESULT err=0 tag=97 nentries=0 etime=0.0050130230 dn="cn=directory manager"
[19/Aug/2019:10:06:06.171383232 +0000] conn=1 op=1 SRCH base="dc=example,dc=com" scope=0 filter="(objectClass=*)" attrs=""
[19/Aug/2019:10:06:06.171454390 +0000] conn=1 op=1 RESULT err=0 tag=101 nentries=1 etime=0.0000226314
[19/Aug/2019:10:06:06.171658526 +0000] conn=1 op=2 UNBIND
[19/Aug/2019:10:06:06.171680063 +0000] conn=1 op=2 fd=64 closed - U1
[19/Aug/2019:10:06:15.264081605 +0000] conn=2 fd=64 slot=64 connection from ::1 to ::1
[19/Aug/2019:10:06:15.264393587 +0000] conn=2 op=0 BIND dn="cn=Directory Manager" method=128 version=3
[19/Aug/2019:10:06:15.314723198 +0000] conn=2 op=0 RESULT err=0 tag=97 nentries=0 etime=0.0050577223 dn="cn=directory manager"
[19/Aug/2019:10:06:15.314942674 +0000] conn=2 op=1 SRCH base="dc=example,dc=com" scope=0 filter="(objectClass=*)", invalid attribute request
[19/Aug/2019:10:06:15.314964942 +0000] conn=2 op=1 RESULT err=2 tag=101 nentries=0 etime=0.0000148948
[19/Aug/2019:10:06:15.315134906 +0000] conn=2 op=2 UNBIND
[19/Aug/2019:10:06:15.315149246 +0000] conn=2 op=2 fd=64 closed - U1


base is no longer "(null)", correct value is present. Marking as VERIFIED.

Comment 4 errata-xmlrpc 2019-11-05 21:00:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3401


Note You need to log in before you can comment on or make changes to this bug.